GPCONFIG(8)

NAME
gpconfig - initialize the VME Graphics Processor or SBus GS graphics accelerator

SYOPNSIS
/usr/etc/gpconfig [ -u ucode-filename ] gpunit [ [ -b ] [ -f ] [ -F ] fbunit... ]

DESCRIPTION

gpconfig binds a VME color frame buffer (either the cgtwo(4S) or cgnine(4S)) to the VME GP (Graphics Processor), then loads and starts the appropriate microcode in the GP.

gpconfig also loads and starts the appropriate microcode in the SBus GS cgtwelve(4S) integrated accelerator and frame buffer.

For example, the command line:

    /usr/etc/gpconfig gpone0 cgtwo0

binds the VME cgtwo0 frame buffer board to the VME gpone0 Graphics Processor. The device /dev/gpone0a then refers to the combination of gpone and cgtwo0.

All VME frame buffer boards bound to a VME GP device must be configured to the same width and height.

The standard version of the file /etc/rc.local contains the following gpconfig command line:

    /usr/etc/gpconfig -f -b

For VME systems, this binds gpone0 and either cgtwo0 or cgnine0 as gpone0a, causes gpone0a to use the specified frame buffer if it is present, redirects /dev/fb to be /dev/gpone0a and loads and starts the appropriate microcode.

For SBus systems, this loads and starts the appropriate microcode.

If another configuration is desired, edit the command line in /etc/rc.local.

It is inadvisable to run the gpconfig command while the configured device is being used; unpredictable results may occur. If it is necessary to change the frame buffer bindings to the GP (or to stop using the GP altogether), bring the system down gently, boot single user, edit the gpconfig line in the /etc/rc.local file, and bring the system back up multi-user.

gpconfig tries to create the device special files under the /dev directory when they are absent.

For VME systems, the default gpunit is /dev/gpone0, and the default frame buffer is /dev/cgtwo0 or /dev/cgnine0, whichever is present. The appropriate microcode file will be loaded based on the version of the GP in the system. The cgnine(4S) frame buffer can be bound only to the GP2 device.

For SBus systems, the default fbunit is /dev/cgtwelve0. There is no gpunit. A gpunit specification on the command line is ignored.

OPTIONS

-b  Configure the GP or GP+ to use the specified frame buffer, or to use the first frame buffer found, if none is specified. Only one GP device, two GP+ devices, and four GP2 devices may be bound to a frame buffer at a single time. Note: this option has no effect on the SBus GS cgtwelve(4S) device.

-f  Redirect /dev/fb to the device formed by binding gpunit with fbunit. Only the last -f option in the command line takes effect. Note: this option has no effect on the SBus GS cgtwelve(4S) device.

-F  Return the /dev/fb to the default device in effect before gpconfig was run.

-u microcode-file
    Load the specified file as the alternate microcode to the GP or GS.

FILES
/dev/fb
    default frame buffer
/dev/cgtwelve0
    SBus 24-bit frame buffer and graphics accelerator
/dev/cgtwo0
    VME 8-bit color frame buffer
/dev/cgnine0
    VME 24-bit color frame buffer
/dev/gpone0[abcd]
    VME GP graphics accelerator
/usr/lib/gs.ucode
    GS microcode file
/usr/lib/gp2.ucode
    GP2 microcode file
/usr/lib/gp1cg2.1024.ucode
    GP1 microcode file
/usr/lib/gp1cg2.1152.ucode
    GP1 microcode file
/etc/rc.local
    local boot script

SEE ALSO
cgnine(4S), cgtwelve(4S), cgtwo(4S), gpone(4S)